Bug 467174 - Stacking confusion for logout dialog
Stacking confusion for logout dialog
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: compiz (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Owen Taylor
desktop-bugs@redhat.com
: Triaged
Depends On:
Blocks: 607021
  Show dependency treegraph
 
Reported: 2008-10-16 04:21 EDT by Ding-Yi Chen
Modified: 2010-11-10 15:01 EST (History)
4 users (show)

See Also:
Fixed In Version: compiz-0.8.2-24.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 607021 (view as bug list)
Environment:
Last Closed: 2010-11-10 15:01:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2008-10-16 04:21:13 EDT
Description of problem:
After select new im and click "logout", the logout/reboot/shutdown menu does not display if compiz and beryl is running.

Version-Release number of selected component (if applicable):
0.3.3-6.el5

How reproducible:
Always.

Steps to Reproduce:
1. Install compiz or beryl if not presented.
2. Install at least two IMs, such as gcin and SCIM.
3. run either compiz or beryl 
   a. for compiz: by  system-> preference -> desktop effect
   b. for beryl: run beryl-manager
4. run im-chooser, select a the non-default IM to enable the logout button.
5. Click on logout
  
Actual results:
The logout/reboot/shutdown dialog exists but not displayed. Pressing [Enter] still gets to the default action "logout".

Expected results:
The logout/reboot/shutdown should display.

Additional info:
devilspie cannot detect the logout/reboot/shutdown dialog when it appear on the screen, but other dialogs, and dialogs from other applications can be detected by devilspie.
Comment 1 Akira TAGOH 2008-10-16 22:46:24 EDT
im-chooser just uses libgnomeui's feature. unable to display GTK_WINDOW_POPUP dialog is a bug in compiz/beryl.
Comment 2 Ding-Yi Chen 2008-10-17 02:30:04 EDT
Mmm, it seems like the dialog is derived by gnome_client_request_save(). Shall we deem this bug is from either libgnomeui or compiz?
Comment 3 Matěj Cepl 2008-11-11 09:09:07 EST
Kristian? Assigning to you and please feel free to reassign if you want to blame some other component.
Comment 4 RHEL Product and Program Management 2009-03-26 12:50:16 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 Owen Taylor 2010-06-22 17:23:40 EDT
I'm slightly guessing at what was being reported here. But with RHEL 6 Compiz I can reproduce a similar problem. With desktop-effects enabled:

 - Run 'gnome-session-save --logout-dialog'
 - Cancel dialog
 - Run 'gnome-session-save --logout-dialog' again

Dialog appears underneath all other windows. It has the "always on top" flag set (as you can see by looking in the window menu), but the flag was not properly honored when remapping an existing window from the withdrawn state. After moving other open windows out of the way, if you raise the window by clicking on the titlebar, you won't be able to lower it again.
Comment 7 Owen Taylor 2010-06-22 17:33:05 EDT
Actually, it's weirder than it getting the stacking order wrong in X terms - if you click where the window should appear you can click on the buttons, so the stacking order is right in X terms, but Compiz thinks its something different.
Comment 8 Owen Taylor 2010-06-22 20:09:09 EDT
I've put a patch and full explanation at:

 http://bugs.opencompositing.org/show_bug.cgi?id=1304

It should be a very safe fix. Priority is in my opinion moderate:

 - It's a fairly confusing bug. 

   (In some circumstances you try to log out and nothing happens; this is 
   triggered by our input switching tool in an obvious way.)

 - It can't be that important if it hasn't been fixed upstream in ~5 years?

Not going to fix for RHEL 5, moving to RHEL 6
Comment 9 RHEL Product and Program Management 2010-06-22 20:22:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 12 Radek Lat 2010-08-09 11:36:44 EDT
Tested and Verified on compiz-0.8.2-24.el6.x86_64,
moving to VERIFIED.
Comment 13 releng-rhel@redhat.com 2010-11-10 15:01:13 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.